[package]
name = "commune"
description = "A #no_std way to help send and receive Rust data on embedded devices"
version = "0.0.1"
authors = ["doomy"]
edition = "2018"
license = "MIT OR Apache-2.0"
homepage = "https://gitlab.com/_doomy/commune"
repository = "https://gitlab.com/_doomy/commune"
categories  = ["no-std", "embedded"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
cortex-m = "0.6"
cortex-m-rt = { version = "0.6", features = ["device"] }
cortex-m-rtic = "0.5"

[dependencies.arrayvec]
version = "0.5"
default-features = false

[dependencies.serde_cbor]
version = "0.11"
default-features = false

[dependencies.serde]
version = "1.0"
default-features = false
features = ["derive"]

# Feature specific crates

[dependencies.stm32f1xx-hal]
version = "0.6"
features = ["rt", "stm32f103", "medium"]
optional = true

[dependencies.stm32f1]
version = "0.11"
features = ["stm32f103"]
optional = true

[dependencies.stm32f4xx-hal]
version = "0.8"
features = ["rt", "stm32f411"]
optional = true

[dependencies.nrf]
package = "embedded-nrf24l01"
git = "https://github.com/astro/embedded-nrf24l01"
rev = "6459d61"
version = "0.2.0"
optional = true

[features]
default = []

# Common pin definitions for the STM32F1xx and F4xx controllers 

stm32f1xx = ["stm32f1xx-hal", "stm32f1", "nrf"]
stm32f4xx = ["stm32f4xx-hal", "nrf"]
